const {TextureLoader, RepeatWrapping} = THREE;

// private method, to load texture; can be extended into class (future rev.)
const _txtr = (txtrLoad) => {
    var texture = new TextureLoader().load(txtrLoad);
    texture.wrapS = texture.wrapT = RepeatWrapping; 
    return texture;
	}

// this is how Enums are declared in JS
export const Enum  = {};
 		Enum[Enum["Nullz"] = 0] = "Nullz";
    Enum[Enum["Nullz"] = 1] = "Nullz";
    Enum[Enum["oceanTexture"] = 2] = "oceanTexture";
    Enum[Enum["sandyTexture"] = 3] = "sandyTexture";
    Enum[Enum["grassTexture"] = 4] = "grassTexture";
    Enum[Enum["rockyTexture"] = 5] = "rockyTexture";
    Enum[Enum["snowyTexture"] = 6] = "snowyTexture";
 		//Enum[Enum["Teldrassil"] = 7] = "Teldrassil";
 		//Enum[Enum["Darkshore"] = 8] = "Darkshore";


export let TextureDB = {
  	oceanTexture: _txtr('https://raw.githubusercontent.com/stemkoski/stemkoski.github.com/master/Three.js/images/dirt-512.jpg'),
  	sandyTexture: _txtr('https://raw.githubusercontent.com/stemkoski/stemkoski.github.com/master/Three.js/images/sand-512.jpg'),
  	grassTexture: _txtr('https://raw.githubusercontent.com/stemkoski/stemkoski.github.com/master/Three.js/images/grass-512.jpg'),
  	rockyTexture: _txtr('https://raw.githubusercontent.com/stemkoski/stemkoski.github.com/master/Three.js/images/rock-512.jpg'),
 		snowyTexture: _txtr('https://raw.githubusercontent.com/stemkoski/stemkoski.github.com/master/Three.js/images/snow-512.jpg'),
  	Teldrassil: _txtr('https://raw.githubusercontent.com/meperezcuello/dataviz-project-template-proposal/master/test2/_0000_Teldrassil_t.png'),
  	Darkshore: _txtr('https://raw.githubusercontent.com/meperezcuello/dataviz-project-template-proposal/master/test2/_0002_Darkshore_t.png'),
    Moonglade: _txtr('https://raw.githubusercontent.com/meperezcuello/dataviz-project-template-proposal/master/test2/_0005_Moonglade_t.png'),
  	Wintersping: _txtr('https://raw.githubusercontent.com/meperezcuello/dataviz-project-template-proposal/master/test2/_0006_Wintersping_t.png'),
    Felwood: _txtr('https://raw.githubusercontent.com/meperezcuello/dataviz-project-template-proposal/master/test2/_0008_Felwood_t.png'),
  	Mount_hyjal: _txtr('https://raw.githubusercontent.com/meperezcuello/dataviz-project-template-proposal/master/test2/_0010_Mount_hyjal_t.png'),
    Ashenvale: _txtr('https://raw.githubusercontent.com/meperezcuello/dataviz-project-template-proposal/master/test2/_0012_Ashenvale_t.png '),
  	Azhara: _txtr('https://raw.githubusercontent.com/meperezcuello/dataviz-project-template-proposal/master/test2/_0014_Azhara_t.png'),
    Stonetalon_mountains: _txtr('https://raw.githubusercontent.com/meperezcuello/dataviz-project-template-proposal/master/test2/_0016_Stonetalon_mountains_t.png'),
  	Durotar: _txtr('https://raw.githubusercontent.com/meperezcuello/dataviz-project-template-proposal/master/test2/_0018_Durotar_t.png'),
    Desolance: _txtr('https://raw.githubusercontent.com/meperezcuello/dataviz-project-template-proposal/master/test2/_0020_Desolance_t.png'),
  	Northen_Barrens: _txtr('https://raw.githubusercontent.com/meperezcuello/dataviz-project-template-proposal/master/test2/_0022_Northen_Barrens_t.png'),
    Dustwallo_Marsh: _txtr('https://raw.githubusercontent.com/meperezcuello/dataviz-project-template-proposal/master/test2/_0024_Dustwallo-Marsh_t.png '),
  	Southen_Barrens: _txtr('https://raw.githubusercontent.com/meperezcuello/dataviz-project-template-proposal/master/test2/_0026_Southen_Barrens_t.png'),
    Thousand_needles: _txtr('https://raw.githubusercontent.com/meperezcuello/dataviz-project-template-proposal/master/test2/_0028_Thousand_needles_t.png'),
  	Mulgore: _txtr('https://raw.githubusercontent.com/meperezcuello/dataviz-project-template-proposal/master/test2/_0030_Mulgore_t.png'),
  
  
	}
//https://raw.githubusercontent.com/meperezcuello/dataviz-project-template-proposal/master/texture_alfa_1_optimized.png
